/*
    使用プログラム
    JUCHU220Search.php 学校給食向け受注入力
*/

/****各テキストボックス項目定義****/
/* 単価 */
.JUCHU220-txt-tanka {
    width: 80px;
}

.JUCHU220-txt-tekiyo {
    width: 120px;
}

/* 備考テーブル */
.JUCHU220-tbl-biko {
    margin-right: 20px;
}
/* ヘッダ備考 */
.JUCHU220-txt-head_biko {
    width: 400px;
}

/****各ラベル項目定義****/
/* 得意先名称 */
.JUCHU220-lbl-tok_nm_hdr {
    width: 400px;
}

/* 商品名称 */
.JUCHU220-lbl-shohin_nm {
    width: 289px;
}

/* 部門 */
.JUCHU220-lbl-bumon_nm {
    width: 230px;
}


/* ヘッダーテーブル(検索条件) */
/*
*/

/* ヘッダーテーブル定義 */
.JUCHU220-tbl-header {
    margin-right: 20px;
    width: 1110px;
}
.JUCHU220-tbl-header th {
    width: 60px;
    max-width: 60px;
}
.JUCHU220-tbl-header tr:nth-of-type(1) td:nth-of-type(1) {
    width: 220px;
    max-width: 220px;
}
.JUCHU220-tbl-header tr:nth-of-type(1) td:nth-of-type(2) {
    width: 360px;
    max-width: 360px;
}
.JUCHU220-tbl-header tr:nth-of-type(1) td:nth-of-type(3) {
    width: 130px;
    max-width: 130px;
}
.JUCHU220-tbl-header tr:nth-of-type(1) td:nth-of-type(4) {
    width: 100px;
    max-width: 100px;
}

/*申送事項テーブル定義 */
.JUCHU220-div-moshiokuri {
    display: flex;
    justify-content: space-between;
    padding-right: 20px;
}
.JUCHU220-tbl-moshiokuri {
    margin: 0px;
}
.JUCHU220-tbl-moshiokuri th {
    width: 60px;
    max-width: 60px;
}
.JUCHU220-tbl-moshiokuri td {
    width: 342px;
    max-width: 684px;
    vertical-align: top;
}

/*ボタン定義*/
.JUCHU220-btn_area {
    width: 1099px;
}
.JUCHU220-div-float-area {
    float: left;
}
.JUCHU220-div-btn_area {
    margin-top: 35px;
    margin-left: 265px;
}
/*ヘッダ修正/確定ボタン*/
.JUCHU220-btn_hdr_edit,
.JUCHU220-btn_hdr_edit:hover,
.JUCHU220-btn_hdr_edit:focus {
    width: 100px;
}


/*****************************
 *在庫状況および履歴一覧定義
 ****************************/
.JUCHU220-div-chk_title,
.JUCHU220-div-chk_data {
    margin: 0px;
}
/* No */
.JUCHU220-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(1),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 25px;
    max-width: 25px;
}
/* 現在庫 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(1),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 80px;
    max-width: 80px;
}
/* 仮受注数 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(2),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 80px;
    max-width: 80px;
}
/* 引当数 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(3),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(4) {
    width: 80px;
    max-width: 80px;
}
/* 当日入荷数 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(4),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(5) {
    width: 80px;
    max-width: 80px;
}
/* 有効在庫 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(5),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(6) {
    width: 80px;
    max-width: 80px;
}
/* 入荷予定数 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(6),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(7) {
    width: 80px;
    max-width: 80px;
}
/* 最短入荷日 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(7),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(8) {
    width: 80px;
    max-width: 80px;
}
/* 入荷数 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(8),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(9) {
    width: 80px;
    max-width: 80px;
}
/* リードタイム */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(9),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(10) {
    width: 80px;
    max-width: 80px;
}
/* 締時間 */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(10),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(11) {
    width: 80px;
    max-width: 80px;
}
/* 数量（履歴）１ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(11),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(12) {
    width: 90px;
    max-width: 90px;
}
/* 数量（履歴）２ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(12),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(13) {
    width: 90px;
    max-width: 90px;
}
/* 数量（履歴）３ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(13),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(14) {
    width: 90px;
    max-width: 90px;
}
/* 単価（履歴）１ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(14),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(15) {
    width: 90px;
    max-width: 90px;
}
/* 単価（履歴）２ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(15),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(16) {
    width: 90px;
    max-width: 90px;
}
/* 単価（履歴）３ */
.JUCHU220-tbl-chk thead tr:nth-of-type(2) th:nth-of-type(16),
.JUCHU220-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(17) {
    width: 90px;
    max-width: 90px;
}

/* thタグ内に文字を配置したため白色 */
#lblHachuYmd01,
#lblHachuYmd02,
#lblHachuYmd03,
#lblHachuYmd04,
#lblHachuYmd05,
#lblHachuYmd06 {
    color: #ffffff;
}

/*****************************
 *明細情報エリア定義
 ****************************/

.JUCHU220-tbl-body_L tbody .JUCHU220-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
/*    background-color: #aaffff;*/
}
.JUCHU220-tbl-body_R tbody .JUCHU220-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
/*    background-color: #aaffff;*/
}
.JUCHU220-tbl-body_L tbody .JUCHU220-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}
.JUCHU220-tbl-body_R tbody .JUCHU220-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

/* ▽ ========== HEAD ========== ▽ */
.JUCHU220-flex-tbl-head-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}
.JUCHU220-flex-tbl-head-area table {
    margin: 0px;
}
.JUCHU220-flex-tbl-head-L {
    overflow: hidden;
}
.JUCHU220-flex-tbl-head-R {
    /* width: 968px; */
    /* width: 626px; */
    width: 126px;
    overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}
.JUCHU220-tbl-head_L {
    margin: 0;
}
.JUCHU220-tbl-head_R {
    /* width: 2141px; */
    width: 6505px;
    margin: 0;
}
.JUCHU220-tbl-head_L thead tr th {
    height: 25px;
    background-color: #0068b7;
}

.JUCHU220-tbl-head_L thead th:nth-child(10) {
    background-color: #088a85;
}
.JUCHU220-tbl-head_L thead th:nth-child(11) {
    background-color: #088a85;
}
.JUCHU220-tbl-head_L thead th:nth-child(12) {
/*	color: #e72053;
	font-weight: bold;*/
    background-color: #088a85;
}

.JUCHU220-tbl-head_R thead tr th {
    height: 55px;
}
.JUCHU220-tbl-head_R thead tr th:first-child {
    border-left: none;
}

/* ▽ ========== BODY ========== ▽ */
.JUCHU220-tbl-body-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
/*
    display: -webkit-flex;
*/
}
.JUCHU220-flex-tbl-body-L {
    max-height: 432px;
    margin-top: 0px;
/*
    overflow: hidden;
*/
    overflow  : scroll;
}
.JUCHU220-flex-tbl-body-R {
    /* max-width : 986px; */
    max-width : 644px;
    max-height: 450px;
    margin-top: 0px;
    overflow  : scroll;
}
.JUCHU220-tbl-body_L {
    margin-top: -1px;
}
.JUCHU220-tbl-body_R {
    /* width: 2141px; */
    width: 6505px;
    margin-top: -1px;
}
.JUCHU220-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}
.JUCHU220-tbl-body_L tbody tr.even {
    background: #ffffff;
}
.JUCHU220-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.JUCHU220-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}
.JUCHU220-tbl-body_R tbody tr.even {
    background: #ffffff;
}
.JUCHU220-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.JUCHU220-tbl-body_R tbody tr td:first-child {
    border-left: none;
}

/* ▽ ========== FOOT ========== ▽ */
.JUCHU220-flex-tbl-foot-L {
    float: left;
    overflow: hidden;
    margin-top: 0px;
}
.JUCHU220-flex-tbl-foot-R {
    /*width: 968px;*/
    width: 626px;
    overflow-y: hidden;
    overflow-x: auto;
    margin-top: 0px;
    margin-left: 528px;
}
.JUCHU220-tbl-foot_R {
    width: 2141px;
    margin-top: 0;
}

.JUCHU220-txt-suryo{ /* 数量 */
    /*width: 50px;*/
    /*min-width: 50px;*/
    /* max-width: 50px; */
    max-width: 70px;
}


/* ▽ ========== 明細項目 ========== ▽ */

/* com-itemの右寄せが効く様に最大幅まで伸ばす */
.lbl-number {
    width: 100%;
}


.JUCHU220-tbl-th_nou{
  /*納入先のタイトル　テーブルカラー*/
  background-color: #088A85 !important;
  /*color: #ffffff !important;*/
  /*text-align: center !important;*/
}

.JUCHU220-lbl-title {
  /* thを指定すると高さが違いによりテーブルにズレが発生するため個別指定 */
  /* background-color: #0068b7; */
  background-color: #088A85;
  color: #ffffff;
  text-align: center;
}

/* カラム長 */
.JUCHU220-tbl-result_col1 {  /* 削除 */
    width: 44px;
}
.JUCHU220-tbl-result_col2 {  /* № */
    width: 44px;
}
.JUCHU220-tbl-result_col3 {  /* 取引区分 */
    width: 160px;
}
.JUCHU220-tbl-result_col4 {  /* 商品コード */
    width: 155px;
}
.JUCHU220-tbl-result_col5 {  /* 規格 */
    width: 165px;
}
.JUCHU220-tbl-result_col6 {  /* 掲載品、合数 */
    width: 150px;
}
.JUCHU220-tbl-result_col7 {  /* 単位 */
    width: 110px;
}
.JUCHU220-tbl-result_col8 {  /* 原価 */
    width: 110px;
}
.JUCHU220-tbl-result_col9 {  /* 合計数量 */
    width: 100px;
}
.JUCHU220-tbl-result_col10 {  /* 得意先1 */
    width: 100px;
}
.JUCHU220-tbl-result_col11 {  /* 得意先2 */
    width: 100px;
}
.JUCHU220-tbl-result_col12 {  /* 得意先3 */
    width: 100px;
}

/* 個別カラム内長（１行目） */
.JUCHU220-chk-del_flg { /* 削除 */
    width: 25px;
}
.JUCHU220-lbl-no-left { /* № */
    width: 25px;
    text-align: right;
}
.JUCHU020-ddl-tori_kbn { /* 取引区分 */
    width: 100px;
}
.JUCHU220-txt-shohin_cd { /* 商品コード */
    width: 75px;
}
.JUCHU220-lbl-kikaku_nm { /* 規格 */
    width: 100px;
}
.JUCHU220-lbl-keisaihin_nm { /* 掲載品 */
    width: 20px;
}
.JUCHU220-txt-aisu { /* 合数 */
    width: 80px;
}
.JUCHU220-lbl-tani_nm { /* 単位 */
    width: 75px;
}
.JUCHU220-lbl-genka { /* 原価 */
    width: 75px;
}
.JUCHU220-lbl-sum_suryo { /* 合計数量 */
    width: 75px;
}
.JUCHU220-txt-toku1 {  /* 得意先1 */
    width: 75px;
}
.JUCHU220-txt-toku1 {  /* 得意先2 */
    width: 75px;
}
.JUCHU220-txt-toku3 {  /* 得意先3 */
    width: 75px;
}

/* 個別カラム内長（２行目） */
.JUCHU220-txt-BLCS {  /* BLCS */
    width: 75px;
}
.JUCHU022-txt-maker_tekiyo {  /* 行摘要 */
    width: 75px;
}
.JUCHU220-txt-tanka {  /* 単価 */
    width: 54px;
}


.JUCHU220-tbl-result_col_nou {
    /* width: 65px; */
    width: 95px;
}
.JUCHU220-tbl-td_yellow {
    background-color: #ffffd6;
}
.JUCHU220-tbl-td_blue {
    background-color: #d6ffff;
}
.JUCHU220-tbl-td_red {
    background-color: #ffd6ff;
}
